<h2>Donations</h2>
<div class="donations-btn-wrapper">
  <button class="btn btn-success btn-md" (click)="openModal(templateDonation)">Add Donations</button>
</div>
<div class="donations-statuses-wrapper">
  <h6>Donations Statuses</h6>
  <div class="donations-statuses-grid">
    <div class="donations-status" *ngFor="let donationStatus of donationStatuses">
      <span class="donations-status__value">{{ donationStatus.value }}</span>
      <h6 class="donations-status__title">{{ donationStatus.title }}</h6>
    </div>
  </div>
</div>
<h6>Donations Details</h6>

<div class="donations-details-wrapper">
  <div class="row">
    <div class="form-group col-md-4"><input placeholder="Search Donations" type="text" id="filter" class="form-control"
        (keyup)="onFilter($event.target.value)"></div>
  </div>
  <table class="table-scroll">
    <thead>
      <tr>
        <th>Donation ID</th>
        <th>Donor ID</th>
        <th>Blood Group</th>
        <th>Status</th>
        <th>Donation Date</th>
        <th>Last Donation</th>
        <th>Action</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let donation of donationList">
        <td title="{{donation?.donationId}}">{{donation?.donationId}}</td>
        <td title="{{donation?.Dornor}}">{{donation?.Dornor}}</td>
        <td title="{{donation?.BloodGroup}}">{{donation?.BloodGroup}}</td>
        <td title="{{donation?.Status}}">{{donation?.Status}}</td>
        <td title="{{donation?.DonationDate | date :'dd-MMM-yyyy'}}">{{donation?.DonationDate | date :'dd-MMM-yyyy'}}
        <td title="{{donation?.LastDonation | date :'dd-MMM-yyyy'}}">{{donation?.LastDonation | date :'dd-MMM-yyyy'}}
        </td>
        <td>
          <button class="btn btn-sm btn-outline-success btn--view" title="View"
            (click)="edit(donation,templateDonation)"><span class="material-icons">
              visibility
            </span></button>
          <button class="btn btn-sm btn-outline-primary btn--edit" title="Edit"
            (click)="edit(donation,templateDonation)"><span class="material-icons">
              create
            </span></button>
          <button class="btn btn-sm btn-outline-danger btn--delete" title="Delete"
            (click)="delete(donation?.donationId)"><span class="material-icons">
              delete
            </span></button>
        </td>
      </tr>
    </tbody>
  </table>
</div>


<!-- donors add modal -->
<ng-template #templateDonation>
  <form #form="ngForm" (submit)="onSubmit(form)" autocomplete="off">
    <div class="modal-header">
      <h4 class="modal-title pull-left">Add Donations</h4>
      <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="row">
        <input type="hidden" name="donationId" id="donationId" #donationId="ngModel" class="form-control"
          [(ngModel)]="formData.donationId">
        <div class="col-md-3">
          <div class="form-group">
            <label class="required" for="DornorId">Dornor ID</label>
            <select required name="DornorId" id="DornorId" #DornorId="ngModel" class="form-control"
              [(ngModel)]="formData.Dornor">
              <option selected disabled>Select Donor ID</option>
              <option *ngFor="let dornor of dornorList" [value]="dornor?.DonorID">
                {{dornor?.DonorID}}</option>
            </select>
            <div class="validation-error" *ngIf="Dornor.invalid && Dornor.touched">Dornor is required.</div>
          </div>
        </div>
        <div class="col-md-3">
          <div class="form-group">
            <label class="required" for="Dornor">Dornor Name</label>
            <select required name="Dornor" id="Dornor" #Dornor="ngModel" class="form-control"
              [(ngModel)]="formData.Dornor">
              <option selected disabled>Select Donor Name</option>
              <option *ngFor="let dornor of dornorList" [value]="dornor?.DonorID">
                {{dornor?.FirstName +' '+ dornor?.LastName}}</option>
            </select>
            <div class="validation-error" *ngIf="Dornor.invalid && Dornor.touched">Dornor is required.</div>
          </div>
        </div>
        <div class="col-md-3">
          <div class="form-group">
            <label for="donationId">Donation ID</label>
            <input disabled class="form-control" [value]="formData?.donationId ?formData?.donationId:''">
          </div>
        </div>
        <div class="col-md-3">
          <div class="form-group">
            <label for="BloodGroup">Blood Group</label>
            <select name="BloodGroup" id="BloodGroup" #BloodGroup="ngModel" class="form-control pointer-events"
              [(ngModel)]="formData.Dornor">
              <option selected disabled>Select Blood Group</option>
              <option *ngFor="let dornor of dornorList" [value]="dornor?.DonorID">
                {{dornor?.BloodGroup}}
            </select>
            <div class="validation-error" *ngIf="BloodGroup.invalid && BloodGroup.touched">Dornor is required.</div>
          </div>
        </div>

        <div class="col-md-3">
          <div class="form-group">
            <label for="Status">Status</label>
            <select name="Status" id="Status" #Status="ngModel" class="form-control" [(ngModel)]="formData.Status">
              <option selected disabled>Select Status</option>
              <option>Consent Done</option>
              <option>Initiated</option>
              <option>Medical exam done</option>
              <option>Complete</option>
              <option>Incomplete</option>
              <option>Complete with reaction </option>
              <option>Incomplete with reaction </option>
              <option>Screening Done </option>
              <option>Label Printed </option>
              <option>Cancelled </option>
            </select>
          </div>
        </div>
        <div class="col-md-3">
          <div class="form-group">
            <label for="DonationDate">Donation Date</label>
            <input type="date" name="DonationDate" id="DonationDate" #DonationDate="ngModel" class="form-control"
              [(ngModel)]="formData.DonationDate">
          </div>
        </div>
        <div class="col-md-3">
          <div class="form-group">
            <label for="LastDonation">Last Donation</label>
            <input type="date" name="LastDonation" id="LastDonation" #LastDonation="ngModel" class="form-control"
              [(ngModel)]="formData.LastDonation">
          </div>
        </div>
        <div class="col-md-3">
          <div class="form-group">
            <label class="required" for="DonationType">Donation Type</label>
            <select required name="DonationType" id="DonationType" #DonationType="ngModel" class="form-control"
              [(ngModel)]="formData.DonationType">
              <option selected disabled>Select Donation Type</option>
              <option>XXX</option>
            </select>
            <div class="validation-error" *ngIf="Dornor.invalid && Dornor.touched">Dornor is required.</div>
          </div>
        </div>
        <div class="col-md-3">
          <div class="form-group">
            <label class="required" for="CollectionType">Collection Type</label>
            <select required name="CollectionType" id="CollectionType" #CollectionType="ngModel" class="form-control"
              [(ngModel)]="formData.CollectionType">
              <option selected disabled>Select Collection Type</option>
              <option>XX</option>
            </select>
            <div class="validation-error" *ngIf="Dornor.invalid && Dornor.touched">Dornor is required.</div>
          </div>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-success" [disabled]="form.invalid">Submit</button>
      <button type="reset" class="btn btn-blank">Clear All</button>
    </div>
  </form>
</ng-template>